# stripe_payment

#### Conveniently secure payments methods using Stripe.

## Quick Glance

- This Flutter plugin is a straight port from tipsi-stripe plugin for React Native - we tried to 
keep the API as close as possible so the documentation applies this this plugin as well.
- Collect chargable tokens from users' **Card Input** and **Apple & Google Pay**
- For **SCA** compliant apps, setup payment intents for later confirmation.

## Supported features:

### Card Params Object
- createTokenWithCard()
### Basic Stripe Payment Object
- openBasicIntent()

## Dependencies

### Android & iOS
- Create a Stripe account and project
- Retrieve a publishable key from the Stripe dashboard

Currently Only Integrated for iOS Only & is under development mode

### Android 
- Requires AndroidX

Include support in android/gradle.properties
```properties
android.useAndroidX=true
android.enableJetifier=true
```

## Documentation

As this plugin is a port from tipsi-stripe for React Native you may consult their documentation:
https://stripe.com/docs/mobile/ios/basic
It includes:
- method documentations