#import "StripePaymentPlugin.h"
#import <Stripe/Stripe.h>
#import "TPSStripeManager.h"

@implementation StripePaymentPlugin {
    FlutterResult flutterResult;
    StripeModule* stripeModule;
}
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    
    FlutterMethodChannel* channel = [FlutterMethodChannel methodChannelWithName:@"stripe_basic_payment" binaryMessenger:[registrar messenger]];
    
    StripePaymentPlugin* instance = [[StripePaymentPlugin alloc] init];
    [registrar addMethodCallDelegate:instance channel:channel];
}

- (instancetype)init
{
    self = [super init];
    if (self) {
        stripeModule = [[StripeModule alloc] init];
    }
    return self;
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {

    id rejecter = ^(NSString *code, NSString *message, NSError *error) {
        result([FlutterError errorWithCode:code ?: @"-" message:message details:error.localizedDescription]);
    };
    if ([@"setOptions" isEqualToString: call.method]) {
        [stripeModule init:call.arguments[@"options"] errorCodes:call.arguments[@"errorCodes"]];
    } else if ([@"openBasicIntent" isEqualToString:call.method]) {
        [stripeModule openBasicIntent:call.arguments resolver:result rejecter:rejecter];
    }  else if ([@"createTokenWithCard" isEqualToString:call.method]) {
        [stripeModule createTokenWithCard:call.arguments resolver:result rejecter:rejecter];
    } 
}
@end
